import { FG_Plugin } from 'src/plugins';
import permissions from '../permissions';

const mainRoutes: FG_Plugin.PluginRouteConfig[] = [
  {
    title: 'Gerücht',
    icon: 'mdi-cash-100',
    path: 'balance',
    name: 'balance',
    redirect: { name: 'balance-add' },
    meta: { permissions: ['user'] },
    children: [
      {
        title: 'Anschreiben',
        icon: 'mdi-cash-plus',
        path: 'add',
        name: 'balance-add',
        shortcut: true,
        meta: { permissions: [permissions.DEBIT_OWN, permissions.SHOW] },
        component: () => import('../pages/Add.vue')
      },
      {
        title: 'Übertragen',
        icon: 'mdi-cash-refund',
        path: 'transfer',
        name: 'balance-transfer',
        meta: { permissions: [permissions.SEND] },
        component: () => import('../pages/Transfer.vue')
      },
      {
        title: 'Verwaltung',
        icon: 'mdi-account-cash',
        path: 'admin',
        name: 'balance-admin',
        meta: { permissions: [permissions.DEBIT_OWN, permissions.SHOW] },
        component: () => import('../pages/Admin.vue')
      }
    ]
  }
];

export default mainRoutes;
